Subject: Re: bug#29063: C-g not quitting minibuffer

From: Apocalypse Mystic <[email-masked]>
Date: Sat, 4 Nov 2017 11:37:38 -0400

timer-idle-list

working emacs:
([nil 0 0 500000 t jit-lock-context-fontify nil idle 0])

broken emacs:
([nil 0 0 500000 t jit-lock-context-fontify nil idle 0] [nil 0 0 500000 0.5
blink-cursor-start nil idle 0])

Although calling cancel-timer on the timers does not fix the problem,

I have also noticed that, with toggle-debug-on-quit on, just typing C-g
while in the normal writing buffer will always send me to the debugger on
only one line:

Debugger entered--Lisp error: (quit)
  internal-timer-start-idle()

This happens in the broken emacs only, and C-g here does nothing in the
working emacs. Likewise, in the broken emacs, while I am highlighting text
with C-space, C-g will 50% of the time cancel the highlight and 50% of the
time open the above debugger on the timer start function. In the working
emacs, of course, it cancels the highlight 100% of the time.

On Sat, Nov 4, 2017 at 4:17 AM, Eli Zaretskii <[email-masked]> wrote:

> [Please keep the bug address on the CC list.]
>
> > From: Apocalypse Mystic <[email-masked]>
> > Date: Fri, 3 Nov 2017 21:53:28 -0400
> >
> > I just updated my other ubuntu system and it works fine, so I don't know
> that it will be easy to isolate that way.
> > The one thing I do notice that is different between the two systems is
> that when I toggle-debug-on-quit, and
> > then try to quit out of the M-x minibuffer, my broken emacs has one
> extra line in the debugger print out before
> > everything else that is missing from the working emacs:
> >
> > Debugger entered--Lisp error: (quit)
> > internal-timer-start-idle()
> > ...
> >
> > I don't really know the emacs internals or timers that well, but might
> that mean something like that my C-g's
> > are getting eaten by quitting out of a frequently restarting
> internal-timer-start-idle call? I'm not sure what calls it
> > or if that helps any. It may just be normal functioning, but maybe it
> means something to someone who knows
> > emacs better than I do. I notice it is in this description of the same
> issue:
> >
> > https://github.com/abo-abo/swiper/issues/922
> >
> > If I can provide any other information that might be helpful, just let
> me know.
>
> I guess it would be interesting to know which idle timer was
> interrupted by C-g in your case.
>